<?php

	$session = $this->getSession();
	$registry = $this->getRegistry();
	  
	// appel fichier internalisation	
	$i18n = $this->getRegistry()->get('i18n');
	$filter_html = new Yab_Filter_Html();
	$filter_no_html = new Yab_Filter_NoHtml();
	
	//$pager = new Yab_Helper_Pager($helper_form_associatfai_fai, 'pager_fai_fai');

	$indexLine = 0;
?>


<table class="table table-striped table-bordered table-hover table-condensed table-responsive table-panel">
	<thead>
		<tr>
			<th class="col-<?php echo $helper_form_interfait->getElement('fai_id_1')->get('id'); ?>"
				champs="<?php echo $helper_form_interfait->getElement('fai_id_1')->get('id'); ?>">
				<?php echo $filter_html->filter( $i18n -> say('fai_id_1')) ; ?>
			</th>
			<th class="col-<?php echo $helper_form_interfait->getElement('incertitude')->get('id'); ?>"
				champs="<?php echo $helper_form_interfait->getElement('incertitude')->get('id'); ?>">
				<?php echo $filter_html->filter( $i18n -> say('incertitude')) ; ?>
			</th>
			<th class="col-<?php echo $helper_form_interfait->getElement('typeinterfait_id')->get('id'); ?>"
				champs="<?php echo $helper_form_interfait->getElement('typeinterfait_id')->get('id'); ?>">
				<?php echo $filter_html->filter( $i18n -> say('fai_faiTypeAssoc')) ; ?>
			</th>
			<th class="col-<?php echo $helper_form_interfait->getElement('precisions')->get('id'); ?>"
				champs="<?php echo $helper_form_interfait->getElement('precisions')->get('id'); ?>">
				<?php echo $filter_html->filter( $i18n -> say('precisions')) ; ?>
			</th>

			<?php if ($v_action) { ?>
			<th class="col-action">
				<?php echo $filter_html->filter( $i18n -> say('action')) ; ?>
			</th>
			<?php } ?>
		</tr>
	</thead>
 	<tbody>
	<?php 	
		foreach($helper_form_associatfai_fai as $fai_fai): 
			$typeinterfait_id = $fai_fai->get('typeinterfait_id');
			$fai_id_1 = $fai_fai->get('fai_id_1');
			$ffai_id = $fai_fai->get('fai_id');
			$incertitude = $fai_fai->get('incertitude');
			$precisions = $fai_fai->get('precisions');
	?>
		<tr class="table-relation-row">
			<td class="table-row-data">
				<a href="<?php echo $this->getRequest('Fai', 'show', array($fai_id_1)); ?>" target="_blank">
				<?php if($ffai_id == $fai_id){ echo $fai_fai->get('fai_1_identification', $filter_html); }
					else { echo $fai_fai->get('fai_identification', $filter_html);} ?>
				</a>
			</td>
			<td class="table-row-data">
			<?php if (!empty($incertitude) ) { ?>
				<span class="glyphicon glyphicon-ok"></span>
			<?php } ?>
			</td>
			<td class="table-row-data">
				<a href="<?php echo $this->getRequest('Fai', 'show', array($fai_id_1)); ?>" target="_blank">
					<?php $type_value = $helper_model_interfait->getTable('Model_Fsn_Categorie')->fetchAll()->where('id = "'.$typeinterfait_id.'"')->toRow(); echo $type_value['categorie_value']; ?>
				</a>
			</td>
			<td class="table-row-data">
				<a href="<?php echo $this->getRequest('Fai', 'show', array($fai_id_1)); ?>" target="_blank">
				<?php echo $fai_fai->get('precisions', $filter_html); ?>
				</a>
			</td>
			<?php if ($v_action) { ?>
			<td><a href="#" class="del-row-button"><span class="glyphicon glyphicon-remove-circle danger" style="font-size: 18px;" alt="Supprimer" title="Supprimer"></span></a></td>
			<?php } ?>
			<input type="hidden" champs="<?php echo $helper_form_interfait->getElement('typeinterfait_id')->get('id') ?>" value="<?php echo $fai_fai->get('typeinterfait_id' )?>" />
			<input type="hidden" champs="<?php echo $helper_form_interfait->getElement('fai_id')->get('id') ?>" value="<?php echo $fai_fai->get('fai_id' )?>" />
			<input type="hidden" champs="<?php echo $helper_form_interfait->getElement('fai_id_1')->get('id') ?>" value="<?php echo $fai_fai->get('fai_id_1' )?>" 
			val="<?php if($ffai_id == $fai_id){ echo $fai_fai->get('fai_1_identification' ); } else { echo $fai_fai->get('fai_identification' ); } ?>" />
			<input type="hidden" champs="<?php echo $helper_form_interfait->getElement('incertitude')->get('id') ?>" value="<?php echo $fai_fai->get('incertitude' )?>" />
			<input type="hidden" champs="<?php echo $helper_form_interfait->getElement('precisions')->get('id') ?>" value="<?php echo $fai_fai->get('precisions' )?>" />
			<?php $indexLine = $indexLine+1; ?>
		</tr>
	<?php endforeach; ?>
	</tbody>
</table>